Subject: Re: [PATCH] powerpc: add of_find_next_property andof_get_aliased_index

From: Stefan Roese <[email-masked]>
Date: Thu, 3 Jul 2008 15:43:20 +0200

On Thursday 03 July 2008, Josh Boyer wrote:
> > Now I have no idea how to support I2C on the other 4xx boards. Perhaps
> > Josh could advise how this should be done?
>
> As David said elsewhere, cell-index is fine for figuring out how to
> access the CPM registers, etc.  But it's not good for enumerating
> across the whole system.
>
> For I2C specifically, I think Sean already has a patch to switch the
> 4xx driver to not use the numbered functions, which eliminates the need
> for the enumeration all together.  That seems like the right approach
> to me.

Yes. I'm waiting for Sean's next patch version... :)

Best regards,
Stefan